A sticky app bar. For demo purposes it's not fixed to the top at the moment.

```js
const currentUser = {
  user: {
    admin: true,
    username: 'cocojambo',
    firstName: 'Alex',
    lastName: 'Munteanu'
  }
};

const autosave = {
  isFetching: true
};

const HindawiLogo = () => <Logo
  onClick={() => console.log('Hindawi best publish!')}
  title="Hindawi"
  src="https://upload.wikimedia.org/wikipedia/en/thumb/c/ca/Hindawi.svg/1200px-Hindawi.svg.png"
/>;

const MenuComponent = () => <AppBarMenu
    currentUser={currentUser}
    goTo={path => console.log(`navigating to ${path}`)}
    logout={() => console.log('logging out')}
  />;

const AutosaveComponent = () => <AutosaveIndicator
    isVisible
    autosave={autosave}
  />;

<AppBar
  autosave={AutosaveComponent}
  logo={HindawiLogo}
  menu={MenuComponent}
  journal={{
    metadata: {
      nameText:'Chemistry Awesomeness', 
    backgroundImage: 'https://images.hindawi.com/journals/jchem/jchem.banner.jpg'
    },
  }}
  fixed={false}
  />
```

Without a journal background.

```js
const currentUser = {
  user: {
    admin: true,
    username: 'cocojambo',
    firstName: 'Alex',
    lastName: 'Munteanu'
  }
};

const HindawiLogo = () => <Logo
  onClick={() => console.log('Hindawi best publish!')}
  title="Hindawi"
  src="https://upload.wikimedia.org/wikipedia/en/thumb/c/ca/Hindawi.svg/1200px-Hindawi.svg.png"
/>;

const autosave = {
  isFetching: false,
  lastUpdate: new Date(),
};

const MenuComponent = () => <AppBarMenu
  currentUser={currentUser}
  goTo={path => console.log(`navigating to ${path}`)}
  logout={() => console.log('logging out')}
  />;

const AutosaveComponent = () => <AutosaveIndicator
    isVisible
    autosave={autosave}
  />;

<AppBar
  autosave={AutosaveComponent}
  logo={HindawiLogo}
  menu={MenuComponent}
  journal={{
    metadata: {
      nameText:'Chemistry Awesomeness',
    },
  }}
  fixed={false}
  />
```
