import React from 'react'
import styled from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'

import Tag from './Tag'
import Text from './Text'

const AuthorTag = ({
  author: { firstName, lastName, isCorresponding, isSubmitting },
}) => (
  <Root>
    <Text>{`${firstName} ${lastName}`}</Text>
    {isSubmitting && <Tag>SA</Tag>}
    {isCorresponding && <Tag>CA</Tag>}
  </Root>
)

export default AuthorTag

// #region styles
const Root = styled.div`
  align-items: center;
  display: flex;
  height: calc(${th('gridUnit')} * 3);

  ${Tag} {
    margin-left: calc(${th('gridUnit')} / 2);
  }
`
// #endregion
