import { get } from 'lodash'
import { th } from '@pubsweet/ui-toolkit'
import styled, { css } from 'styled-components'

export default styled.div.attrs({
  'data-test-id': props => props['data-test-id'] || 'row',
})`
  align-items: ${props => get(props, 'alignItems', 'flex-start')};
  background-color: ${props => props.bgColor || 'transparent'};
  display: flex;
  flex-direction: row;
  justify-content: ${({ justify }) => justify || 'space-evenly'};
  margin: ${({ noMargin }) =>
    noMargin ? 0 : css`calc(${th('subGridUnit')} * 2) 0`};
  width: 100%;
`
